# -*- coding: utf-8 -*-
Name: indent
Summary: A tool to make code easier to read
Version: 2.2.11
Release: 29
License: GPLv3+
URL: http://www.gnu.org/software/%{name}/
Source: http://ftp.gnu.org/gnu/indent/%{name}-%{version}.tar.gz

Patch5: indent-2.2.9-lcall.patch
Patch7: indent-2.2.9-man.patch
Patch8: indent-2.2.11-Do-not-split-decimal-float-suffix-from-constant.patch
Patch9: indent-2.2.11-Return-non-zero-exit-code-on-tests-failure.patch
Patch10: indent-2.2.11-Fix-compiler-warnings.patch
Patch11: indent-2.2.11-Allow-64-bit-stat.patch
Patch12: indent-2.2.11-Fix-copying-overlapping-comment.patch
Patch13: indent-2.2.11-Support-hexadecimal-floats.patch
Patch14: indent-2.2.11-Modernize-texi2html-arguments.patch
Patch15: indent-2.2.11-doc-Correct-a-typo-about-enabling-control-comment.patch
Patch16: indent-2.2.11-Fix-nbdfa-and-nbdfe-typo.patch
Patch17: fix-an-out-of-buffer-read-CVE-2023-40305.patch
Patch18: fix-a-heap-buffer-overwrite-CVE-2023-40305.patch

BuildRequires:  gettext-devel automake gcc autoconf
BuildRequires:  make coreutils gperf texinfo texi2html

%description
The indent program can be used to make code easier to read. It
can also convert from one style of writing C to another. indent
understands a substantial amount about the syntax of C, but it
also attempts to cope with incomplete and misformed syntax.

%package_help

%prep
%autosetup -p1
rm src/gperf.c src/gperf-cc.c
autoreconf -i -f

%build
%configure CFLAGS='%optflags -D_FILE_OFFSET_BITS=64'
%make_build

%install
%make_install

%find_lang %name

%check
make -C regression

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%exclude %{_bindir}/texinfo2man
%exclude %{_prefix}/doc/%{name}/%{name}.html
%exclude %{_prefix}/lib/debug/usr/bin/texinfo2man-%{version}-%{release}.aarch64.debug

%files help
%doc AUTHORS NEWS README ChangeLog*
%{_mandir}/man1/%{name}.*
%{_infodir}/%{name}.info*
%exclude %{_infodir}/dir

%changelog
* Tue Aug 29 2023 wangkai <13474090681@163.com> - 2.2.11-29
- Fix CVE-2023-40305

* Thu Sep 10 2020 baizhonggui<baizhonggui@huawei.com> - 2.2.11-28
- fix source0

* Tue Dec 3 2019 caomeng<caomeng5@huawei.com> - 2.2.11-27
- Package init
